## org.plovr.cli
Class ServeCommand

    java.lang.Object
      org.plovr.cli.ServeCommand

All Implemented Interfaces:
  CommandRunner

    public class ServeCommand

extends Object

Constructor Summary
`ServeCommand()`

Method Summary
`void` `printUsage()`
`void` `printUsage(org.kohsuke.args4j.CmdLineParser parser)`
`int` `runCommand(String[] args)`
`int` `runCommandWithOptions(ServeCommandOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServeCommand

    public ServeCommand()

Method Detail

### runCommandWithOptions

    public int runCommandWithOptions(ServeCommandOptions options)
                              throws IOException

  Returns:
    the exit code this process should exit with or `STATUS_NO_EXIT` if it should not shut down
  Throws:
    `IOException`

### runCommand

    public final int runCommand(String[] args)
                         throws IOException

  Specified by:
    `runCommand` in interface `CommandRunner`
  Parameters:
    `args` - the arguments passed to the command, not including the command name
  Returns:
    the appropriate exit code for the command
  Throws:
    `IOException`

### printUsage

    public final void printUsage()

### printUsage

    public final void printUsage(org.kohsuke.args4j.CmdLineParser parser)